SDL_AUDIO_BYTESIZE(3)

NAME
SDL_AUDIO_BYTESIZE - Retrieve the size, in bytes, from an SDL_AudioFormat .

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AUDIO_BYTESIZE(x)        (SDL_AUDIO_BITSIZE(x) / 8)

DESCRIPTION
For example, SDL_AUDIO_BYTESIZE(SDL_AUDIO_S16) returns 2.

RETURN VALUE
Returns data size in bytes.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.